import React from 'react'
import { ComponentStory, ComponentMeta } from '@storybook/react'
import SlidingDateComponent from '../../components/SlidingDateSelector/SlidingDateComponent'

export default {
    title: 'Date/SlidingDateSelector',
    component: SlidingDateComponent,
} as ComponentMeta<typeof SlidingDateComponent>

const Template: ComponentStory<typeof SlidingDateComponent> = (args) =>
    <div style={{ width: '100%', height: '600px' }}><SlidingDateComponent {...args} /></div>

export const SlidingDateSelector = Template.bind({});
SlidingDateSelector.args = {
    minYear: 1950,
    maxYear: 2050,
}